## brltty 6.3+dfsg

=== debian/control ===
Source: brltty
Section: admin
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders: Samuel Thibault <sthibault@debian.org>
Vcs-Browser: https://salsa.debian.org/a11y-team/brltty
Vcs-Git: https://salsa.debian.org/a11y-team/brltty.git
Homepage: https://brltty.com
Build-Depends: debhelper-compat (= 12), dh-lisp, dh-python, dh-strip-nondeterminism, dh-exec,
               autoconf, pkg-config, tcl (>= 8.5~),
               libasound2-dev [linux-any],
               python3-all-dev,
               cython3 (>= 0.28.4),
               libexpat1-dev, libpcre3-dev,
               libgpmg1-dev [linux-any], libsystemd-dev [linux-any],
               libicu-dev, liblouis-dev,
               libpolkit-gobject-1-dev, libcap-dev [linux-any],
               default-jdk [!hppa !hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !m68k],
               doxygen, linuxdoc-tools, groff,
               flite1-dev, libncursesw5-dev,
               libxaw7-dev, x11proto-kb-dev, libxtst-dev, libxfixes-dev,
               libdbus-1-dev, libatspi2.0-dev, libglib2.0-dev,
               libbluetooth-dev [linux-any],
               libspeechd-dev,
               libespeak-ng-dev, libespeak-ng-libespeak-dev
Build-Conflicts: libatspi-dev,
                 libasound2-dev [!linux-any]
Standards-Version: 4.5.0

Package: brltty
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1 [linux-any]
Pre-Depends: ${misc:Pre-Depends}
Recommends: python3, policykit-1 [!linux-any]
Replaces: libbrlapi1 (<< 3.7.2-7.1)
Suggests: brltty-speechd, brltty-x11,
          console-braille
Description: Access software for a blind person using a braille display
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 The following display models are supported:
  * Alva/Optelec (ABT3xx, Delphi, Satellite, Braille System 40, BC 640/680)
  * Baum
  * BrailComm
  * BrailleLite
  * BrailleNote
  * Cebra
  * EcoBraille
  * EuroBraille (AzerBraille, Clio, Esys, Iris, NoteBraille, Scriba)
  * Freedom Scientific (Focus and PacMate)
  * Handy Tech
  * HIMS (Braille Sense, SyncBraille)
  * HumanWare (Brailliant)
  * Iris
  * LogText 32
  * MDV
  * Metec (BD-40)
  * NinePoint
  * Papenmeier
  * Pegasus
  * Seika
  * Tieman (Voyager, CombiBraille, MiniBraille, MultiBraille,
            BraillePen/EasyLink)
  * Tivomatic (Albatross)
  * TSI (Navigator, PowerBraille)
  * VideoBraille
  * VisioBraille
 .
 BRLTTY also provides a client/server based infrastructure for applications
 wishing to utilize a Braille display.  The daemon process listens for incoming
 TCP/IP connections on a certain port.  A shared object library for clients is
 provided in the package libbrlapi0.8.  A static library, header files and
 documentation is provided in package libbrlapi-dev.  Bindings to other
 programming languages can be found in cl-brlapi (Lisp), libbrlapi-java (Java)
 and python3-brlapi (Python).

Package: libbrlapi0.8
Architecture: any
Multi-arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: braille display access via BRLTTY - shared library
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package contains the shared library necessary to run programs which
 need to communicate with a braille display.

Package: libbrlapi-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libbrlapi0.8 (= ${binary:Version}), ${misc:Depends}
Conflicts: libbrlapi1-dev (<< 3.8)
Description: Library for communication with BRLTTY - static libs and headers
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package contains the static library libbrlapi.a and header files
 in /usr/include/brltty/ necessary to compile programs for BrlAPI, a
 client-server based mechanism to remotely access a braille display.

Package: libbrlapi-jni
Architecture: any
Multi-Arch: same
Section: java
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java bindings for BrlAPI (native library)
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides the architecture-dependant files required to
 access a braille terminal via BrlAPI from Java.

Package: libbrlapi-java
Architecture: all
Multi-Arch: foreign
Section: java
Depends: libbrlapi-jni (>= ${source:Version}), ${misc:Depends}
Description: Java bindings for BrlAPI
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides java classes to access a braille display via BrlAPI.

Package: brltty-flite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person - Flite speech driver
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the Festival Lite
 speech synthesis engine.

Package: brltty-speechd
Architecture: any
Recommends: speech-dispatcher
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person - Speech Dispatcher driver
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the speech-dispatcher
 speech synthesis server.

Package: brltty-espeak
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Description: Access software for a blind person - espeak driver
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains an optional speech driver for the espeak
 speech synthesis engine.

Package: brltty-udeb
Architecture: any
Package-Type: udeb
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}, preseed-common
Description: Access software for a blind person using a braille display
 This is a small version of brltty, optimized for use on install media.
XB-Installer-Menu-Item: 1050

Package: brltty-x11
Architecture: any
Recommends: xbrlapi (>= 4.3-3)
Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
Breaks: gnome-orca (<< 3.14.0-3~)
Description: Access software for a blind person using a braille display - X11 drivers
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package contains optional screen drivers for BRLTTY which require X11 or
 GNOME.

Package: xbrlapi
Architecture: any
Multi-Arch: foreign
Replaces: brltty-x11 (<< 4.3-3)
Breaks: brltty-x11 (<< 4.3-3)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Access software for a blind person using a braille display - xbrlapi
 BRLTTY is a daemon which provides access to the Linux console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 This package provides xbrlapi, a brltty X11 helper which handles proper
 keyboard simulation and window selection.

Package: cl-brlapi
Architecture: all
Section: lisp
Depends: ${misc:Depends}, cl-cffi, libbrlapi0.8
Description: Common Lisp bindings for BrlAPI
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides Common Lisp bindings vor BrlAPI.

Package: python3-brlapi
Architecture: any
Multi-Arch: same
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Braille display access via BRLTTY - Python3 bindings
 BRLTTY is a daemon which provides access to the console (text mode)
 for a blind person using a braille display.  It drives the braille
 display and provides complete screen review functionality.
 .
 BrlAPI is a library which gives an application access to a braille display and
 lets it write braille.
 .
 This package provides Python 3 bindings.
