## brltty 6.4

=== debian/changelog ===
brltty (6.4-4ubuntu2) jammy; urgency=medium

  * Support python3.10's change to the default sysconfig scheme, fixing FTBFS
    with Python 3.10 by default. (Closes: Bug#1007927)

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 18 Mar 2022 12:59:59 -0400

brltty (6.4-4ubuntu1) jammy; urgency=medium

  * Resynchornize on Debian, fix the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 18 Mar 2022 15:26:01 +0100

brltty (6.4-4) unstable; urgency=medium

  [ Camaleón ]
  * po/es.po: Spanish translation (Closes: Bug#1003516)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 14:21:00 +0100

brltty (6.4-3) unstable; urgency=medium

  [ Américo Monteiro ]
  * po/pt.po: Portuguese translation (Closes: Bug#1001919)

  [ Samuel Thibault ]
  * rules: Remove etc/brltty/Contraction/latex-access.ctb from brltty-udeb.
  * control: Remove libpcre3-dev build-dep, not actually used
    (Closes: Bug#1000046)
  * rules: Remove --without-viavoice, dropped in 6.0 release.
  * control: Bump Standards-Version to 4.6.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Jan 2022 20:13:40 +0100

brltty (6.4-2ubuntu3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:34:27 +0000

brltty (6.4-2ubuntu2) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:39:06 +0100

brltty (6.4-2ubuntu1) jammy; urgency=medium

  * Resynchronize on Debian (fixes LP: #1950488)
    - Dropped delta:
      + udeb-specific changes, because Ubuntu doesn't build udebs any longer
        (LP: #1884836)
      + Ubuntu-specific entries in deprecated debian/NEWS file
      + JAVA_HOME additions to debian/rules (unneeded)
      + noudeb profiles changes to debian/{control,rules} that were upstreamed
      + changes to debian/{brltty,xbrlapi}.manpages that were upstreamed
      + debian/brltty.sh that replaced /sbin/brltty by /bin/brltty
    - Remaining changes:
      + add brltty-setup
        - debian/brltty-setup
        - debian/brltty.install
        - debian/rules
      + add initramfs integration to run brltty-setup if necessary before
        plymouth starts
        - debian/control
        - debian/initramfs/brltty.sh
        - debian/initramfs/hooks/brltty.in
        - debian/initramfs/scripts/init-premount/brltty
        - debian/initramfs/scripts/init-top/brltty
        - debian/brltty.dirs
        - debian/brltty.install
        - debian/brltty.postinst
      + add ubiquity integration to propagate any brltty configuration to the
        target system
        - debian/31brltty
        - debian/brltty.dirs
        - debian/brltty.install
      + add udev rules file that uses brltty-udev.service to activate via
        systemd
        - debian/brltty-udev.service
        - debian/brltty.dirs
        - debian/brltty.udev.rules
        - debian/rules
      + disable brltty.service by default, but enable it if the user configures
        Braille at install time for a non-USB display
        - debian/31brltty
        - debian/rules
      + don't install /etc/brltty.conf in the package
        - debian/31brltty
  * Rebase udev rules (debian/brltty.udev.rules) on upstream ones

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 17 Nov 2021 13:15:55 +0100

brltty (6.4-2) unstable; urgency=medium

  * patches/socket-permissions: Fix BrlAPI socket permissions
    (Closes: Bug#995971)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Oct 2021 14:54:01 +0200

brltty (6.4-1) unstable; urgency=medium

  * New upstream release.
  * po/nl.po: Add French translation (Closes: Bug#994985)
  * po/de.po: Add German translation (Closes: Bug#995105)
  * brltty.lintian-overrides: Note that we already recommend python3 for
    brltty.
  * control: Make python3-all-dev build-dep :any.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 07 Oct 2021 01:27:30 +0200

brltty (6.4~pre-1) experimental; urgency=medium

  * New upstream snapshot.
    - patches/41-java-bytecode-compat.patch: Refresh.
    - rules: Disable liblouis support in udeb.
    - brltty-udeb.udev.rules: Update udev rules.
  * gbp.conf: Use filter to clean upstream tarball.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Aug 2021 11:43:58 +0200

brltty (6.3+dfsg-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/11-python-ldflags.patch: Drop patch, fixed in distutils.
  * po/nl.po: Add Dutch translation (Closes: Bug#994142)

  [ Gregory Nowak ]
  * brltty.init: Make it wait for $local_fs, like the systemd service does.
    (Closes: Bug#994729)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Sep 2021 23:26:29 +0200

brltty (6.3+dfsg-3) unstable; urgency=medium

  * brltty-udeb.prebaseconfig: Enable screen reader in Cinnamon
    (Closes: Bug#992169).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Aug 2021 14:55:23 +0200

brltty (6.3+dfsg-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Allow one to build without the udeb package (Closes: Bug#983323)

  [ Jonathan Hettwer ]
  * Add a proper d-i menu title to brltty-udeb
  * Add po-debconf translation infrastructure

  [ John Paul Adrian Glaubitz ]
  * control, rules: Enable java support on m68k (Closes: Bug#986053)

  [ Adrian Bunk ]
  * rules: on ia64, pass -static-libgcc in LDFLAGS of the udeb build
    (Closes: Bug#986743)

  [ Samuel Thibault ]
  * control: Make brltty suggest unicode-cldr-core to get emoji pronounciations.
  * control: Drop autoconf build-dep, now pulled by debhelper.
  * control: Explicitly add libx11-dev and libxt-dev, that autoconf explicitly
    tests for.
  * control: Replace libgpmg1-dev build-dep with libgpm-dev.
  * control: Explicitly build-depend on gettext.
  * control: Set Rules-Requires-Root to no.
  * rules: Drop ddeb-migration rules, now useless.
  * debian/brltty-udeb.sh: Also kill the main menu and debconf, otherwise the
    graphical versions remain behind and fill logs.

