=== debian/control ===
--- 
+++ 
@@ -1,41 +1,45 @@
 Source: brltty
 Section: admin
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: https://salsa.debian.org/a11y-team/brltty
 Vcs-Git: https://salsa.debian.org/a11y-team/brltty.git
 Homepage: https://brltty.com
 Build-Depends: debhelper-compat (= 12), dh-lisp, dh-python, dh-strip-nondeterminism, dh-exec,
-               autoconf, pkg-config, tcl (>= 8.5~),
+               pkg-config, tcl (>= 8.5~),
                libasound2-dev [linux-any],
-               python3-all-dev,
+               python3-all-dev:any,
                cython3 (>= 0.28.4),
-               libexpat1-dev, libpcre3-dev,
-               libgpmg1-dev [linux-any], libsystemd-dev [linux-any],
+               libexpat1-dev,
+               libgpm-dev [linux-any], libsystemd-dev [linux-any],
                libicu-dev, liblouis-dev,
                libpolkit-gobject-1-dev, libcap-dev [linux-any],
-               default-jdk [!hppa !hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !m68k],
+               default-jdk [!hppa !hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
                doxygen, linuxdoc-tools, groff,
                flite1-dev, libncursesw5-dev,
-               libxaw7-dev, x11proto-kb-dev, libxtst-dev, libxfixes-dev,
+               libx11-dev, libxt-dev, libxaw7-dev,
+               x11proto-kb-dev, libxtst-dev, libxfixes-dev,
                libdbus-1-dev, libatspi2.0-dev, libglib2.0-dev,
                libbluetooth-dev [linux-any],
                libspeechd-dev,
-               libespeak-ng-dev, libespeak-ng-libespeak-dev
+               libespeak-ng-dev, libespeak-ng-libespeak-dev,
+               po-debconf, gettext
 Build-Conflicts: libatspi-dev,
                  libasound2-dev [!linux-any]
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 
 Package: brltty
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1 [linux-any]
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1 [linux-any], initramfs-tools (>= 0.40ubuntu30) [linux-any]
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: python3, policykit-1 [!linux-any]
 Replaces: libbrlapi1 (<< 3.7.2-7.1)
 Suggests: brltty-speechd, brltty-x11,
-          console-braille
+          console-braille, unicode-cldr-core
 Description: Access software for a blind person using a braille display
  BRLTTY is a daemon which provides access to the console (text mode)
  for a blind person using a braille display.  It drives the braille
@@ -78,7 +82,7 @@
 
 Package: libbrlapi0.8
 Architecture: any
-Multi-arch: same
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: braille display access via BRLTTY - shared library
@@ -178,6 +182,7 @@
 Package: brltty-udeb
 Architecture: any
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Section: debian-installer
 Depends: ${shlibs:Depends}, ${misc:Depends}, preseed-common
 Description: Access software for a blind person using a braille display
