=== debian/rules ===
--- 
+++ 
@@ -9,24 +9,31 @@
 CL_DATE=$(shell dpkg-parsechangelog | grep Date: | sed s/Date:\ //)
 include /usr/share/dpkg/architecture.mk
 # java is not supported on a few archs
-ifneq (,$(filter $(DEB_HOST_ARCH),hppa hurd-i386 kfreebsd-i386 kfreebsd-amd64 m68k))
+ifneq (,$(filter $(DEB_HOST_ARCH),hppa hurd-i386 kfreebsd-i386 kfreebsd-amd64))
 export DH_OPTIONS=-Nlibbrlapi-jni -Nlibbrlapi-java
 DISABLE_JAVA_SUPPORT=1
 endif
 
+ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
+  with_udeb = yes
+endif
+
 PYVERS := $(shell py3versions --supported --version)
 
 HARDENING = CPPFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)" CFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)" CXXFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CXXFLAGS)" LDFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)"
 
 CONFIGURE_OPTIONS = --mandir=/usr/share/man \
-		    --without-viavoice --without-theta --without-swift \
+		    --without-theta --without-swift \
 		    JAVA_JNI_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/jni
 
 DEB_CONFIGURE_OPTIONS = --with-curses=ncursesw --disable-stripping
 
 UDEB_CFLAGS=-Os -fomit-frame-pointer
+ifneq (,$(filter $(DEB_HOST_ARCH), ia64))
+UDEB_LDFLAGS=-static-libgcc
+endif
 UDEB_DISABLE=speech-support pcm-support midi-support fm-support \
-	contracted-braille api gpm iconv icu x polkit
+	contracted-braille api gpm iconv icu x polkit liblouis
 UDEB_CONFIGURE_OPTIONS=--with-braille-driver=-vr,all \
 	--with-braille-device=usb: --with-screen-driver=-a2,-sc,all \
 	--without-init-path --without-curses --without-rgx-package \
@@ -58,6 +65,8 @@
 
 	dh_clean
 
+	debconf-updatepo
+
 acdir/config.sub: /usr/share/misc/config.sub
 	cp -f $< $@
 acdir/config.guess: /usr/share/misc/config.guess
@@ -91,11 +100,12 @@
 	cd build-brltty-udeb && \
 		$(HARDENING) \
 		CFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS) $(UDEB_CFLAGS)" \
+               LDFLAGS="$$(DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS) $(UDEB_LDFLAGS)" \
 		../configure \
 		$(CONFIGURE_OPTIONS) \
 		$(UDEB_CONFIGURE_OPTIONS)
 
-build-arch: build-brltty build-udeb
+build-arch: build-brltty $(if $(with_udeb),build-udeb)
 build-indep: build-arch build-python
 build: build-indep build-arch
 
@@ -127,7 +137,7 @@
 build-py%-stamp: config-python
 	dh_testdir
 
-	$(MAKE) -C build-py$*/Bindings/Python
+	$(MAKE) -C build-py$*/Bindings/Python V=1
 
 	touch $@
 
@@ -143,7 +153,7 @@
 binary-indep: brltty
 
 # Build architecture-dependent files here.
-binary-arch: brltty brltty-udeb
+binary-arch: brltty $(if $(with_udeb),brltty-udeb)
 
 brltty: build-brltty build-python
 	dh_testdir
@@ -153,7 +163,7 @@
 
 	$(MAKE) -C build-brltty install install-appstream install-polkit INSTALL_ROOT=`pwd`/debian/tmp
 	set -e ; for pyver in $(PYVERS); do \
-		$(MAKE) -C build-py$$pyver/Bindings/Python install INSTALL_ROOT=`pwd`/debian/tmp ; \
+		$(MAKE) -C build-py$$pyver/Bindings/Python install INSTALL_ROOT=`pwd`/debian/tmp V=1 ; \
 	done
 
 	mkdir -p `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
@@ -174,8 +184,11 @@
 	for file in Drivers/Braille/*/README*; \
 		do cp $$file `pwd`/debian/$(PACKAGE)/usr/share/doc/brltty/`basename $$(dirname $$file)`.`basename $$file`; \
 		done
+	cp debian/brltty.udev.rules debian/$@/lib/udev/rules.d/85-brltty.rules
+	dh_installsystemd -p$@ --no-enable
+	dh_installsystemd -p$@ --name brltty-udev
 	# -r because we don't want to lose the console on an upgrade
-	dh_installinit -p$@ -r -- start 25 S .
+	# dh_installinit -p$@ -r -- start 25 S .
 	# and likewise for systemd
 	dh_installsystemd -p$@ --restart-after-upgrade
 	dh_installchangelogs Documents/ChangeLog
@@ -208,20 +221,8 @@
 	dh_link -p$@ -plibbrlapi$(BRLAPI_VERSION) -plibbrlapi-dev
 	dh_link -plibbrlapi-dev /lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so.$(BRLAPI_VERSION) /usr/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so
 	dh_strip_nondeterminism -a -i -Nbrltty-udeb
-	dh_strip -p$@ -p$@-espeak -p$@-flite -p$@-speechd -p$@-x11 -pxbrlapi --ddeb-migration='$@-dbg (<< 5.3.1-2~)'
-	dh_strip -plibbrlapi$(BRLAPI_VERSION) -ppython3-brlapi -plibbrlapi-jni --ddeb-migration='libbrlapi-dbg (<< 5.3.1-2~)'
+	dh_strip -a
 	dh_compress
 	dh_fixperms -X /var/lib/BrlAPI
 	dh_makeshlibs -n -p$@
 	dh_makeshlibs -a -Nbrltty-udeb
-	dh_installdeb -a -i -Nbrltty-udeb
-	dh_shlibdeps -a -Nbrltty-udeb
-	dh_gencontrol -a -i -Nbrltty-udeb
-	dh_md5sums -a -i -Nbrltty-udeb
-	dh_builddeb -a -i -Nbrltty-udeb
-
-brltty-udeb: build-udeb
-	dh_testdir
-	dh_testroot
-	dh_installdirs -pbrltty-udeb
-
