## brltty 6.5

=== debian/changelog ===
brltty (6.5-7ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remaining changes:
      + add brltty-setup
        - debian/brltty-setup
        - debian/brltty.install
        - debian/rules
      + add initramfs integration to run brltty-setup if necessary before
        plymouth starts
        - debian/control
        - debian/initramfs/brltty.sh
        - debian/initramfs/hooks/brltty.in
        - debian/initramfs/scripts/init-premount/brltty
        - debian/initramfs/scripts/init-top/brltty
        - debian/brltty.dirs
        - debian/brltty.install
        - debian/brltty.postinst
      + add ubiquity integration to propagate any brltty configuration to the
        target system
        - debian/31brltty
        - debian/brltty.dirs
        - debian/brltty.install
      + add udev rules file that uses brltty-udev.service to activate via
        systemd
        - debian/brltty-udev.service
        - debian/brltty.dirs
        - debian/brltty.udev.rules
        - debian/rules
      + disable brltty.service by default, but enable it if the user configures
        Braille at install time for a non-USB display
        - debian/31brltty
        - debian/rules
      + don't install /etc/brltty.conf in the package
        - debian/31brltty
      + debian/brltty.udev.rules: don't claim generic USB device IDs it leads
        to brltty grabbing serial ports which other devices like Arduinos
        boards can't use anymore

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 18 May 2023 08:32:55 -0700

brltty (6.5-7) unstable; urgency=medium

  [ Remus-Gabriel Chelu ]
  * po/ro.po: Add Romanian debconf translation (Closes: Bug#1031150).

  [ Samuel Thibault ]
  * patches/atspi2-routing-crash.patch: Fix crash on cursor routing call.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 06 Apr 2023 01:27:28 +0200

brltty (6.5-6) unstable; urgency=medium

  * initramfs/hooks/brltty.in: Copy over brltty preferences into initramfs.
  * po/it.po: Add Italian debconf translation (Closes: Bug#1024689).
  * po/pt_BR.po: Add Brazilian Portuguese translation (Closes: Bug#1025207).
  * control: Add polkitd as alternative to policykit-1 package
    (Closes: Bug#1025547).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 Dec 2022 22:25:48 +0100

brltty (6.5-5ubuntu3) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 14:27:29 -0500

brltty (6.5-5ubuntu2) lunar; urgency=medium

  * Fix accidentally uploaded merge conflict

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 24 Nov 2022 09:55:15 -0600

brltty (6.5-5ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remaining changes:
      + add brltty-setup
        - debian/brltty-setup
        - debian/brltty.install
        - debian/rules
      + add initramfs integration to run brltty-setup if necessary before
        plymouth starts
        - debian/control
        - debian/initramfs/brltty.sh
        - debian/initramfs/hooks/brltty.in
        - debian/initramfs/scripts/init-premount/brltty
        - debian/initramfs/scripts/init-top/brltty
        - debian/brltty.dirs
        - debian/brltty.install
        - debian/brltty.postinst
      + add ubiquity integration to propagate any brltty configuration to the
        target system
        - debian/31brltty
        - debian/brltty.dirs
        - debian/brltty.install
      + add udev rules file that uses brltty-udev.service to activate via
        systemd
        - debian/brltty-udev.service
        - debian/brltty.dirs
        - debian/brltty.udev.rules
        - debian/rules
      + disable brltty.service by default, but enable it if the user configures
        Braille at install time for a non-USB display
        - debian/31brltty
        - debian/rules
      + don't install /etc/brltty.conf in the package
        - debian/31brltty
      + debian/brltty.udev.rules: don't claim generic USB device IDs it leads
        to brltty grabbing serial ports which other devices like Arduinos
        boards can't use anymore

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Fri, 23 Nov 2022 16:22:13 +0000

brltty (6.5-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * {brltty,libbrlapi-dev}.lintian-overrides: Update suppressions.
  * debian/initramfs/scripts/init-premount/brltty: Make initrd-started brltty
    emit its pid into /run.
  * debian/brltty.service: Kill the initrd-started brltty before running the
    systemd-controlled brltty.

  [ Sébastien Hinderer ]
  * initramfs/hooks/brltty.in: Fix copy_exec call, it already includes
    $DESTDIR.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cython3 and tcl.
    + brltty: Drop versioned constraint on lsb-base in Depends.
    + brltty-x11: Drop versioned constraint on xbrlapi in Recommends.
    + brltty-x11: Drop versioned constraint on gnome-orca in Breaks.
    + xbrlapi: Drop versioned constraint on brltty-x11 in Replaces.
    + xbrlapi: Drop versioned constraint on brltty-x11 in Breaks.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 12 Nov 2022 13:18:59 +0100

brltty (6.5-4) unstable; urgency=medium

  * rules: Leverage /usr/share/dpkg/pkg-info.mk to provide package
    information.
  * brltty.postinst: Call update-initramfs -u when START_IN_INITRAMFS is set
    (Closes: Bug#1019889)
  * control: Make cl-brlapi Multi-Arch: foreign.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 21:01:50 +0200

brltty (6.5-3ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 15:39:30 +0000

brltty (6.5-3ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remaining changes:
      + add brltty-setup
        - debian/brltty-setup
        - debian/brltty.install
        - debian/rules

