=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Vcs-Git: https://salsa.debian.org/a11y-team/brltty.git
 Homepage: https://brltty.com
 Build-Depends: debhelper-compat (= 12), dh-lisp, dh-python, dh-strip-nondeterminism, dh-exec,
-               pkg-config, tcl (>= 8.5~),
+               pkg-config, tcl,
                libasound2-dev [linux-any],
-               python3-all-dev:any,
-               cython3 (>= 0.28.4),
+               python3-all-dev:any, python3-setuptools,
+               cython3,
                libexpat1-dev,
                libgpm-dev [linux-any], libsystemd-dev [linux-any],
                libicu-dev, liblouis-dev,
@@ -34,7 +34,7 @@
 Package: brltty
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), policykit-1 [linux-any], initramfs-tools (>= 0.40ubuntu30) [linux-any]
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, polkitd [linux-any] | policykit-1 [linux-any], initramfs-tools (>= 0.40ubuntu30) [linux-any]
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: python3, policykit-1 [!linux-any]
 Replaces: libbrlapi1 (<< 3.7.2-7.1)
@@ -191,9 +191,8 @@
 
 Package: brltty-x11
 Architecture: any
-Recommends: xbrlapi (>= 4.3-3)
-Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
-Breaks: gnome-orca (<< 3.14.0-3~)
+Recommends: xbrlapi
+Depends: ${shlibs:Depends}, ${misc:Depends}, brltty (= ${binary:Version})
 Description: Access software for a blind person using a braille display - X11 drivers
  BRLTTY is a daemon which provides access to the Linux console (text mode)
  for a blind person using a braille display.  It drives the braille
@@ -205,8 +204,6 @@
 Package: xbrlapi
 Architecture: any
 Multi-Arch: foreign
-Replaces: brltty-x11 (<< 4.3-3)
-Breaks: brltty-x11 (<< 4.3-3)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Access software for a blind person using a braille display - xbrlapi
  BRLTTY is a daemon which provides access to the Linux console (text mode)
@@ -218,6 +215,7 @@
 
 Package: cl-brlapi
 Architecture: all
+Multi-Arch: foreign
 Section: lisp
 Depends: ${misc:Depends}, cl-cffi, libbrlapi0.8
 Description: Common Lisp bindings for BrlAPI
