=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,9 @@
 #export DH_VERBOSE=1
 
 PACKAGE=brltty
-VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 BRLAPI_VERSION=0.8
-CL_DATE=$(shell dpkg-parsechangelog | grep Date: | sed s/Date:\ //)
 include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/pkg-info.mk
 # java is not supported on a few archs
 ifneq (,$(filter $(DEB_HOST_ARCH),hppa hurd-i386 kfreebsd-i386 kfreebsd-amd64))
 export DH_OPTIONS=-Nlibbrlapi-jni -Nlibbrlapi-java
@@ -38,10 +37,9 @@
 	--with-braille-device=usb: --with-screen-driver=-a2,-sc,all \
 	--without-init-path --without-curses --without-rgx-package \
 	--with-bluetooth-package=none \
+	--with-hid-package=none \
 	--with-service-package==none \
 	$(patsubst %,--disable-%,$(UDEB_DISABLE))
-UDEB_FILENAME=$(PACKAGE)-udeb_$(VERSION)_$(DEB_HOST_ARCH).udeb
-PRIORITY=$(shell grep '^Package: brltty-udeb' debian/control -A 10 | grep ^Priority: | cut -d ' ' -f 2)
 
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 CONFIGURE_OPTIONS+=--without-usb-package
@@ -121,7 +119,7 @@
 	# more reasonable: the timestamp of the last Debian changelog entry.
 	# Closes: http://bugs.debian.org/708585
 	sed --in-place -e \
-		"s/\(.TH.* 3 \"\).*\(\" \"Version .*\)/\1$$(LC_ALL=C TZ=UTC date --date='$(CL_DATE)' +'%a %b %d %Y')\2/" \
+		"s/\(.TH.* 3 \"\).*\(\" \"Version .*\)/\1$$(LC_ALL=C TZ=UTC date --date=@$(SOURCE_DATE_EPOCH) +'%a %b %d %Y')\2/" \
 		build-brltty/Documents/BrlAPIref/man/man3/*
 
 	# Likewise, make sure that the html does not contain the version number of
@@ -161,7 +159,7 @@
 	dh_prep
 	dh_installdirs
 
-	$(MAKE) -C build-brltty install install-appstream install-polkit INSTALL_ROOT=`pwd`/debian/tmp
+	$(MAKE) -C build-brltty install install-messages install-appstream install-polkit INSTALL_ROOT=`pwd`/debian/tmp
 	set -e ; for pyver in $(PYVERS); do \
 		$(MAKE) -C build-py$$pyver/Bindings/Python install INSTALL_ROOT=`pwd`/debian/tmp V=1 ; \
 	done
@@ -172,7 +170,6 @@
 	rm -f `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so
 	test -f `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.so.$(BRLAPI_VERSION)
 	mv `pwd`/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/libbrlapi.a `pwd`/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
-	$(MAKE) -C build-brltty/Messages install INSTALL_ROOT=`pwd`/debian/tmp
 	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/' < debian/initramfs/hooks/brltty.in > debian/initramfs/hooks/brltty
 	# Does not work anyway
 	rm -fr build-brltty/Bindings/Java/doc/jquery
@@ -224,5 +221,17 @@
 	dh_strip -a
 	dh_compress
 	dh_fixperms -X /var/lib/BrlAPI
+	dh_missing -a
 	dh_makeshlibs -n -p$@
 	dh_makeshlibs -a -Nbrltty-udeb
+	dh_installdeb -a -i -Nbrltty-udeb
+	dh_shlibdeps -a -Nbrltty-udeb
+	dh_gencontrol -a -i -Nbrltty-udeb
+	dh_md5sums -a -i -Nbrltty-udeb
+	dh_builddeb -a -i -Nbrltty-udeb
+
+brltty-udeb: build-udeb
+	dh_testdir
+	dh_testroot
+	dh_installdirs -pbrltty-udeb
+
